Package org.apache.calcite.avatica

# Class Meta.MetaResultSet

java.lang.Object
org.apache.calcite.avatica.Meta.MetaResultSet

Enclosing interface:
  Meta

public static class Meta.MetaResultSet extends Object
Meta data from which a result set can be constructed.

If `updateCount` is not -1, the result is just a count. A result set cannot be constructed.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`connectionId`
`final Meta.Frame`
`firstFrame`
`final boolean`
`ownStatement`
`final Meta.Signature`
`signature`
`final int`
`statementId`
`final long`
`updateCount`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MetaResultSet(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame, int updateCount)`
Deprecated.
`protected`
`MetaResultSet(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame, long updateCount)`

## Method Summary

Modifier and Type
Method
Description
`static Meta.MetaResultSet`
`count(String connectionId, int statementId, long updateCount)`
`static Meta.MetaResultSet`
`create(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame)`
`static Meta.MetaResultSet`
`create(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame, long updateCount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### connectionId

public final String connectionId

### statementId

public final int statementId

### ownStatement

public final boolean ownStatement

### firstFrame

public final Meta.Frame firstFrame

### signature

public final Meta.Signature signature

### updateCount

public final long updateCount

## Constructor Details

### MetaResultSet

@Deprecated protected MetaResultSet(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame, int updateCount)
Deprecated.

### MetaResultSet

protected MetaResultSet(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame, long updateCount)

## Method Details

### create

public static Meta.MetaResultSet create(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame)

### create

public static Meta.MetaResultSet create(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame, long updateCount)

### count

public static Meta.MetaResultSet count(String connectionId, int statementId, long updateCount)